<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class ProductVariation extends Eloquent {

	protected $table = 'product_variations';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('variation_name', 'product_id', 'price', 'quantity', 'status');

	public function details()
	{
		return $this->hasMany('App\Models\ProductVariationDetail');
	}

	public function product()
	{
		return $this->belongsTo('App\Models\Product');
	}

}