<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class VariationValue extends Eloquent {

	protected $table = 'variation_values';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('variation_id', 'value');

	public function productVariation()
	{
		return $this->hasMany('App\Models\ProductVariationDetail');
	}

	public function variation()
	{
		return $this->belongsTo('App\Models\Variation');
	}

}